using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FYEDrawDemo_CSharp
{
    public partial class ZoomPropForm : Form
    {
        public float m_fZoom;
        public float m_fZoomFactor;

        public ZoomPropForm()
        {
            InitializeComponent();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            m_fZoom = float.Parse(txtZoom.Text);
            m_fZoomFactor = float.Parse(txtZoomFactor.Text);

            this.DialogResult = DialogResult.OK;
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
        }

        private void ZoomPropForm_Load(object sender, EventArgs e)
        {
            txtZoom.Text = string.Format("{0}", m_fZoom);
            txtZoomFactor.Text = string.Format("{0}", m_fZoomFactor);
        }
    }
}
